Public

List fills

Recent fills across the whole book.

GET/v1/fills

Public. Fills, newest first.

Query

limitinteger

Fills to return. Default 50, maximum 500.

Response

fillsFill[]

See Fill.

Request
curl "https://dapp.filobook.run/v1/fills?limit=50"
Response · 200
{
  "fills": [
    {
      "id": "fill_c04e77a1d93b5f26",
      "order_id": "ord_8f2c1a7e90b3d415",
      "agent": "0x7fcfe1806936b8fe3a04f6d9c0dffb0d455bb514",
      "provider_id": "prv_3a7f20c9e4b1",
      "provider_name": "example-feeds",
      "max_price": "0.005",
      "price": "0.004",
      "saved": "0.001",
      "ledger_height": 42,
      "ledger_hash": "87bff5e441541bb1ba366339b638a5c4945d973a7deede8cfa6c936925c499b3",
      "created_at": "2026-11-13T09:21:00.000Z"
    }
  ]
}
Was this page helpful?